# Offer Hooks

Offer hooks return `OfferEntity` objects from `@intelligems/ig-types`. They are resolved based on the user's assigned variation for the experience.

## `useIgOffer()`

Returns the offer for the user's assigned variation for the given experience.

```typescript
const useIgOffer = (experienceId: string) => {
  isReady: boolean;
  offer: OfferEntity | null;
};
```

## `useIgOfferTier()`

Returns the offer tier for the user's assigned variation based on unit count.

```typescript
const useIgOfferTier = (experienceId: string, units: number) => {
  isReady: boolean;
  tier: OfferEntity["tiers"][number] | null;
};
```

## `useIgOffers()`

Returns every offer for the experience (across all variations), once the experience assignment is ready.

```typescript
const useIgOffers = (experienceId: string) => {
  isReady: boolean;
  offers: OfferEntity[] | null;
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://headless.intelligems.io/version-1.2.16/reference/hooks/offer-hooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
